#
#   Python GUI - View Base - Macintosh
#

from Applications import application
from GViewBases import ViewBase as GViewBase

class ViewBase(GViewBase):

    def track_mouse(self):
        app = application()
        finished = 0
        while not finished:
            event = app._next_mouse_event()
            event.position = event.position_in(self)
            if event.kind == 'mouse_up':
                finished = 1
            yield event

